## rubberband 2.0.0

=== meson_options.txt ===

option('fft',
       type: 'combo',
       choices: ['auto', 'builtin', 'kissfft', 'fftw', 'vdsp', 'ipp'],
       value: 'auto',
       description: 'FFT library to use. The default (auto) will use vDSP if available, the builtin implementation otherwise.')

option('resampler',
       type: 'combo',
       choices: ['auto', 'builtin', 'libsamplerate', 'speex', 'ipp'],
       value: 'auto',
       description: 'Resampler library to use. The default (auto) will use libsamplerate if available, the builtin implementation otherwise.')

option('ipp_path',
       type: 'string',
       value: '',
       description: 'Path to Intel IPP libraries, if selected for any of the other options.')

option('extra_include_dirs',
       type: 'array',
       value: [],
       description: 'Additional local header directories to search for dependencies.')

option('extra_lib_dirs',
       type: 'array',
       value: [],
       description: 'Additional local library directories to search for dependencies.')

option('no_shared',
       type: 'boolean',
       value: 'false',
       description: 'Do not build shared libraries. On Windows this will also ensure that the static library is called simply rubberband.lib, not rubberband-static.lib as it is in the default build.')

## rubberband 1.8.1

=== debian/changelog ===
rubberband (1.8.1-7ubuntu2) bionic; urgency=medium

  * Spell "Conflicts" correctly in the librubberband2v5 forced upgrade.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Nov 2017 13:20:09 -0700

rubberband (1.8.1-7ubuntu1) bionic; urgency=medium

  * Merge with Debian; no remaining changes.
  * librubberband2: Add Breaks/Replaces to librubberband2v5. This change
    can be dropped after the 18.04 LTS release.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Nov 2017 14:31:36 +0100

rubberband (1.8.1-7) unstable; urgency=medium

  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Add missing substitution variable.
  * Append flags correctly.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 24 Dec 2016 10:29:01 +0100

rubberband (1.8.1-6) unstable; urgency=medium

  * Team upload.
  * Fix symlink to directory conversions. (Closes: #768270)
    - debian/rubberband-{vamp,ladspa}.maintscript: call symlink_to_dir
      correctly and rename files to the name expected by dh_installdeb.
    - debian/preinst: removed. It was intended for rubberband-cli, but got
      placed in librubberband2.
    - debian/{librubberband-dev, rubberband-cli}.maintscript: handle symlink
      to directory conversion.
    - debian/control: Add necessary Pre-Depends on dpkg (>= 1.17.5) for
      symlink_to_dir support in dpkg-maintscript-helper.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 08 Nov 2014 22:54:45 +0100

rubberband (1.8.1-5) unstable; urgency=low

  * Added maintscript files (Closes: #736298).
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 26 Feb 2014 18:13:00 +0100

rubberband (1.8.1-4) unstable; urgency=low

  * Added preinst script (Closes: #720154)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Aug 2013 20:30:37 +0200

rubberband (1.8.1-3) unstable; urgency=low

  * Fix build on armel 2nd attempt.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 05 Jun 2013 14:29:29 +0200

rubberband (1.8.1-2) unstable; urgency=low

  * Added patch to fix build on armel.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 05 Jun 2013 01:31:40 +0200

rubberband (1.8.1-1) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * New upstream release.
  * Fix missing VCS fields.
  * Don't sign tags.
  * Set compression to bz2.
  * Fix debian/copyright.
  * Bump Standards.

  [ Jaromír Mikeš ]
  * Removed spell-fixing patch, applied upstream.
  * Refreshed multiarch patch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Jan 2013 01:28:08 +0000

rubberband (1.7.0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release
    (Closes: #627318)(Closes: #685831).
  * Adopt package (Closes: #688623).
  * Bump Standards.
  * Set priority optional.
  * Switch to short dh format 3.0
  * Remove duplicating section fields.
  * Set compat/dh 9 to fix hardening.
  * Fix description.
  * Added misc:Depends for librubberband-dev package.
  * Update copyright file.
  * Introduce multiarch support.
  * Added patch fixing spelling.
  * Fix watch file.

  [ Alessio Treglia ]
  * debian/patches/02-fix_multiarch.patch:
    - Let pkg-config file be ready for multi-arch as well.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 24 Sep 2012 14:08:10 +0200

rubberband (1.3-1.3) unstable; urgency=low

  * Non-maintainer upload.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include
    (Closes: #667362).

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 May 2012 14:22:01 +0200

rubberband (1.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * include <cstddef> in RubberBandStretcher.h (Closes: #625012)

 -- Mike O'Connor <stew@debian.org>  Tue, 01 Nov 2011 08:23:47 -0400

rubberband (1.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with gcc-4.4 using patch from Martin Michlmayr (Closes:
    #505338)

 -- Christoph Egger <christoph@debian.org>  Fri, 25 Dec 2009 22:13:19 +0100

rubberband (1.3-1) unstable; urgency=low

  * New upstream release

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Thu, 16 Apr 2009 14:08:25 +0200

rubberband (1.2-1) unstable; urgency=low

  * Uploaded to Debian (Closes: #457480)
  * New upstream release (fixes gcc-4.3 build failure)
  * debian/copyright: added license texts from files under
    src/bsd-3rdparty

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Fri, 01 Aug 2008 21:12:05 +0200

rubberband (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #457480)

 -- Székelyi Szabolcs <cc@mail.3d.hu>  Tue, 15 Apr 2008 17:49:31 +0000

=== debian/control ===
Source: rubberband
Priority: optional
Section: sound
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 autotools-dev,
 debhelper (>= 10),
 docbook-to-man,
 ladspa-sdk,
 libfftw3-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 pkg-config,
 vamp-plugin-sdk
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rubberband.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/rubberband.git
Homepage: http://www.breakfastquay.com/rubberband/

Package: librubberband2
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: librubberband2v5
Replaces: librubberband2v5
Description: audio time-stretching and pitch-shifting library
 Rubber Band is a library and utility program that permits you to
 change the tempo and pitch of an audio recording independently of one
 another.

Package: librubberband-dev
Section: libdevel
Architecture: any
Pre-Depends: dpkg (>= 1.17.5)
Depends:
 ${misc:Depends},
 ${misc:Pre-Depends},
 librubberband2 (= ${binary:Version}),
Multi-Arch: same
Description: audio time-stretching and pitch-shifting library (development files)
 Rubber Band is a library and utility program that permits you to
 change the tempo and pitch of an audio recording independently of one
 another.
 .
 This package contains development files for linking against
 librubberband, along with the static version of the library. API
 documentation is available at
 http://www.breakfastquay.com/rubberband/code-doc/ .

Package: rubberband-cli
Architecture: any
Pre-Depends: dpkg (>= 1.17.5)
Depends:
 ${misc:Depends},
 ${misc:Pre-Depends},
 ${shlibs:Depends},
Description: audio time-stretching and pitch-shifting utility
 Rubber Band is a library and utility program that permits you to
 change the tempo and pitch of an audio recording independently of one
 another.
 .
 This package contains a command-line utility that can be used to
 exploit Rubber Band's capabilities.

Package: rubberband-ladspa
Architecture: any
Pre-Depends: dpkg (>= 1.17.5)
Depends:
 ${misc:Depends},
 ${misc:Pre-Depends},
 ${shlibs:Depends},
Description: LADSPA plugin for audio pitch-shifting
 Rubber Band is a library and utility program that permits you to
 change the tempo and pitch of an audio recording independently of one
 another.
 .
 This package contains a LADSPA plugin that can change the pitch of a
 sound in real-time.

Package: rubberband-vamp
Architecture: any
Pre-Depends: dpkg (>= 1.17.5)
Depends:
 ${misc:Depends},
 ${misc:Pre-Depends},
 ${shlibs:Depends},
Description: Vamp plugins using Rubber Band
 Rubber Band is a library and utility program that permits you to
 change the tempo and pitch of an audio recording independently of one
 another.
 .
 This package contains the following Vamp plugins:
 .
  * increments (Output Increments): Output time increment for each
    input step
 .
  * aggregate_increments (Accumulated Output Increments): Accumulated
    output time increments
 .
  * divergence (Divergence from Linear): Difference between actual
    output time and the output time for a theoretical linear stretch
 .
  * phaseresetdf (Phase Reset Detection Function): Curve whose peaks
    are used to identify transients for phase reset points
 .
  * smoothedphaseresetdf (Smoothed Phase Reset Detection Function):
    Phase reset curve smoothed for peak picking
 .
  * phaseresetpoints (Phase Reset Points): Points estimated as
    transients at which phase reset occurs
 .
  * timesyncpoints (Time Sync Points): Salient points which stretcher
    aims to place with strictly correct timing

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_build:
	docbook-to-man debian/rubberband.sgml > debian/rubberband.1
	dh_auto_build

## rubberband 1.8.2

=== debian/changelog ===
rubberband (1.8.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:25 +0100

rubberband (1.8.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/:
    - Bump debhelper compat to 12
    - Bump Standards-Version
    - Set RRR: no
  * debian/rules: Use dpkg include
  * debian/copyright: Bump copyright years
  * debian/*.maintscript: Remove obsolete maintscripts.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Oct 2019 21:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: rubberband
 Priority: optional
 Section: sound
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- autotools-dev,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  docbook-to-man,
  ladspa-sdk,
  libfftw3-dev,
@@ -15,10 +13,11 @@
  libsndfile1-dev,
  pkg-config,
  vamp-plugin-sdk
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rubberband.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/rubberband.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/rubberband.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rubberband
 Homepage: http://www.breakfastquay.com/rubberband/
+Rules-Requires-Root: no
 
 Package: librubberband2
 Section: libs
@@ -27,9 +26,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Conflicts: librubberband2v5
-Replaces: librubberband2v5
 Description: audio time-stretching and pitch-shifting library
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one
@@ -38,10 +34,8 @@
 Package: librubberband-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.17.5)
 Depends:
  ${misc:Depends},
- ${misc:Pre-Depends},
  librubberband2 (= ${binary:Version}),
 Multi-Arch: same
 Description: audio time-stretching and pitch-shifting library (development files)
@@ -56,10 +50,8 @@
 
 Package: rubberband-cli
 Architecture: any
-Pre-Depends: dpkg (>= 1.17.5)
 Depends:
  ${misc:Depends},
- ${misc:Pre-Depends},
  ${shlibs:Depends},
 Description: audio time-stretching and pitch-shifting utility
  Rubber Band is a library and utility program that permits you to
@@ -71,10 +63,8 @@
 
 Package: rubberband-ladspa
 Architecture: any
-Pre-Depends: dpkg (>= 1.17.5)
 Depends:
  ${misc:Depends},
- ${misc:Pre-Depends},
  ${shlibs:Depends},
 Description: LADSPA plugin for audio pitch-shifting
  Rubber Band is a library and utility program that permits you to
@@ -86,10 +76,8 @@
 
 Package: rubberband-vamp
 Architecture: any
-Pre-Depends: dpkg (>= 1.17.5)
 Depends:
  ${misc:Depends},
- ${misc:Pre-Depends},
  ${shlibs:Depends},
 Description: Vamp plugins using Rubber Band
  Rubber Band is a library and utility program that permits you to

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export PREFIX=/usr
 export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
 export DESTDIR=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3
http://www.breakfastquay.com/rubberband \
	.*/rubberband-(\d.\d.\d)\.tar\.bz2

## rubberband 1.9.0

=== debian/changelog ===
rubberband (1.9.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/copyright: Update copyright info
  * debian/control: Bump Standards-Version
  * debian/: Bump debhelper compat to 13
  * debian/*.docs: Install README in librubberband-dev
  * debian/patches: Refresh patches

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Sep 2020 17:34:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  docbook-to-man,
  ladspa-sdk,
  libfftw3-dev,
@@ -13,10 +13,10 @@
  libsndfile1-dev,
  pkg-config,
  vamp-plugin-sdk
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/rubberband.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rubberband
-Homepage: http://www.breakfastquay.com/rubberband/
+Homepage: https://www.breakfastquay.com/rubberband/
 Rules-Requires-Root: no
 
 Package: librubberband2

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@

execute_before_dh_auto_build:
	docbook-to-man debian/rubberband.sgml > debian/rubberband.1

## rubberband 2.0.0

=== debian/changelog ===
rubberband (2.0.0-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Link libatomic if necessary

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 29 Oct 2021 11:23:26 +0200

rubberband (2.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Dennis Braun ]
  * New upstream version 2.0.0

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Oct 2021 12:53:08 +0200

rubberband (1.9.2-3) unstable; urgency=medium

  * debian/patches: Fix FTBFS on armel. Thanks to Adrian Bunk for the patch
    (Closes: 994525)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 17 Sep 2021 10:29:13 +0200

rubberband (1.9.2-2) unstable; urgency=medium

  * Team upload
  * debian/control: Add dependency on libsamplerate0-dev as required by
    pkg-config file.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Sep 2021 23:51:25 +0200

rubberband (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  * Build with meson
    + Fix ladspa and vamp plugin installation
  * Bump Standards-Version to 4.6.0, no changes needed
  * Add myself as uploader
  * debian/control: http -> https
  * Refresh d/copyright
  * d/watch: https -> https & bump version to 4
  * Drop obsolete patches

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 11 Sep 2021 21:34:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Section: sound
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 13),
  docbook-to-man,
@@ -11,9 +12,10 @@
  libfftw3-dev,
  libsamplerate0-dev,
  libsndfile1-dev,
+ meson,
  pkg-config,
  vamp-plugin-sdk
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/rubberband.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rubberband
 Homepage: https://www.breakfastquay.com/rubberband/
@@ -37,6 +39,7 @@
 Depends:
  ${misc:Depends},
  librubberband2 (= ${binary:Version}),
+ libsamplerate0-dev,
 Multi-Arch: same
 Description: audio time-stretching and pitch-shifting library (development files)
  Rubber Band is a library and utility program that permits you to
@@ -46,7 +49,7 @@
  This package contains development files for linking against
  librubberband, along with the static version of the library. API
  documentation is available at
- http://www.breakfastquay.com/rubberband/code-doc/ .
+ https://www.breakfastquay.com/rubberband/code-doc/ .
 
 Package: rubberband-cli
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_auto_build:
	docbook-to-man debian/rubberband.sgml > debian/rubberband.1

=== debian/watch ===
version=4
https://www.breakfastquay.com/rubberband \
	.*/rubberband-(\d.\d.\d)\.tar\.bz2

## rubberband 3.0.0%2Bdfsg0

=== meson_options.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
        type: 'combo',
        choices: ['auto', 'builtin', 'libsamplerate', 'speex', 'ipp'],
        value: 'auto',
-       description: 'Resampler library to use. The default (auto) will use libsamplerate if available, the builtin implementation otherwise.')
+       description: 'Resampler library to use. The default (auto) simply uses the builtin implementation.')
 
 option('ipp_path',
        type: 'string',
@@ -26,8 +26,3 @@
        value: [],
        description: 'Additional local library directories to search for dependencies.')
 
-option('no_shared',
-       type: 'boolean',
-       value: 'false',
-       description: 'Do not build shared libraries. On Windows this will also ensure that the static library is called simply rubberband.lib, not rubberband-static.lib as it is in the default build.')
-

## rubberband 3.0.0+dfsg0

=== debian/changelog ===
rubberband (3.0.0+dfsg0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 17 Sep 2022 10:31:36 -0700

rubberband (3.0.0+dfsg0-1) unstable; urgency=medium

  * New upstream version 3.0.0+dfsg0
  * Provide the lv2 plugin
  * Bump Standards Version to 4.6.1
  * d/copyright: Update Files-Excluded
  * d/copyright: Update paths to external libs
  * Add usr/bin/rubberband-r3 to rubberband-cli installation
  * Refresh patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 31 Jul 2022 21:01:21 +0200

rubberband (2.0.2+dfsg0-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Fix build if linking to libatomic is required

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Apr 2022 22:33:55 +0200

rubberband (2.0.2+dfsg0-1) unstable; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * New upstream version 2.0.1+dfsg0
  * Exclude src/getopt/* files because of wrong license and they are unused.
    + Use github in d/watch for now
  * Update d/copyright: Update years and remove  src/getopt/* and BSD-4-clause
  * Refresh patchset
  * Add d/upstream/metadata
  * Add salsa ci config
  * d/gbp.conf: Remove compression

  [ Sebastian Ramacher ]
  * debian/watch: Rename from vX.Y to rubberband-X.Y
  * New upstream version 2.0.2+dfsg0

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Apr 2022 21:01:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: rubberband
 Priority: optional
 Section: sound
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
-Build-Depends:
- debhelper-compat (= 13),
- docbook-to-man,
- ladspa-sdk,
- libfftw3-dev,
- libsamplerate0-dev,
- libsndfile1-dev,
- meson,
- pkg-config,
- vamp-plugin-sdk
-Standards-Version: 4.6.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
+           Dennis Braun <d_braun@kabelmail.de>
+Build-Depends: debhelper-compat (= 13),
+               docbook-to-man,
+               ladspa-sdk,
+               libfftw3-dev,
+               libsamplerate0-dev,
+               libsndfile1-dev,
+               lv2-dev,
+               meson,
+               pkg-config,
+               vamp-plugin-sdk
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/rubberband.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rubberband
 Homepage: https://www.breakfastquay.com/rubberband/
@@ -24,9 +24,7 @@
 Package: librubberband2
 Section: libs
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: audio time-stretching and pitch-shifting library
  Rubber Band is a library and utility program that permits you to
@@ -36,10 +34,9 @@
 Package: librubberband-dev
 Section: libdevel
 Architecture: any
-Depends:
- ${misc:Depends},
- librubberband2 (= ${binary:Version}),
- libsamplerate0-dev,
+Depends: librubberband2 (= ${binary:Version}),
+         libsamplerate0-dev,
+         ${misc:Depends}
 Multi-Arch: same
 Description: audio time-stretching and pitch-shifting library (development files)
  Rubber Band is a library and utility program that permits you to
@@ -53,9 +50,7 @@
 
 Package: rubberband-cli
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audio time-stretching and pitch-shifting utility
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one
@@ -66,9 +61,7 @@
 
 Package: rubberband-ladspa
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: LADSPA plugin for audio pitch-shifting
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one
@@ -77,11 +70,20 @@
  This package contains a LADSPA plugin that can change the pitch of a
  sound in real-time.
 
+Package: rubberband-lv2
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: LV2 plugin for audio pitch-shifting
+ Rubber Band is a library and utility program that permits you to
+ change the tempo and pitch of an audio recording independently of one
+ another.
+ .
+ This package contains a LV2 plugin that can change the pitch of a
+ sound in real-time.
+
 Package: rubberband-vamp
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Vamp plugins using Rubber Band
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 execute_before_dh_auto_build:
 	docbook-to-man debian/rubberband.sgml > debian/rubberband.1
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./,dversionmangle=s/\+dfsg0.*//,repacksuffix=+dfsg0,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%rubberband-$1%" \
https://github.com/breakfastquay/rubberband/tags .*/v?(\d[\d\.]+)\.tar\.gz

## rubberband 3.1.2+dfsg0

=== debian/changelog ===
rubberband (3.1.2+dfsg0-1) unstable; urgency=medium

  * New upstream version 3.1.2+dfsg0
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Sat, 03 Dec 2022 19:42:06 +0100

rubberband (3.1.1+dfsg0-1) unstable; urgency=medium

  * New upstream version 3.1.1+dfsg0
  * Change my email address to snd@debian.org

 -- Dennis Braun <snd@debian.org>  Mon, 28 Nov 2022 22:18:12 +0100

rubberband (3.1.0+dfsg0-1) unstable; urgency=medium

  * New upstream version 3.1.0+dfsg0
  * Refresh and reformat patchset. Drop armel fpu patch, applied by upstream
  * Add libboost-test-dev to B-Ds to enable unit tests
    and add cmake and speexdsp support
  * Add an autopkgtest that uses two timestretch functions of rubberband
  * Revise the manpage (Closes: #921946)
  * Link the manpage to the new engine

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Oct 2022 17:00:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: rubberband
 Priority: optional
 Section: sound
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>,
-           Dennis Braun <d_braun@kabelmail.de>
-Build-Depends: debhelper-compat (= 13),
-               docbook-to-man,
-               ladspa-sdk,
-               libfftw3-dev,
-               libsamplerate0-dev,
-               libsndfile1-dev,
-               lv2-dev,
-               meson,
-               pkg-config,
-               vamp-plugin-sdk
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <snd@debian.org>
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ docbook-to-man,
+ ladspa-sdk,
+ libboost-test-dev,
+ libfftw3-dev,
+ libsamplerate0-dev,
+ libsndfile1-dev,
+ libspeexdsp-dev,
+ lv2-dev,
+ meson,
+ pkg-config,
+ vamp-plugin-sdk
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/rubberband.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rubberband
@@ -24,7 +28,9 @@
 Package: librubberband2
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: audio time-stretching and pitch-shifting library
  Rubber Band is a library and utility program that permits you to
@@ -34,9 +40,10 @@
 Package: librubberband-dev
 Section: libdevel
 Architecture: any
-Depends: librubberband2 (= ${binary:Version}),
-         libsamplerate0-dev,
-         ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ librubberband2 (= ${binary:Version}),
+ libsamplerate0-dev,
 Multi-Arch: same
 Description: audio time-stretching and pitch-shifting library (development files)
  Rubber Band is a library and utility program that permits you to
@@ -50,7 +57,9 @@
 
 Package: rubberband-cli
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: audio time-stretching and pitch-shifting utility
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one
@@ -61,7 +70,9 @@
 
 Package: rubberband-ladspa
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: LADSPA plugin for audio pitch-shifting
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one
@@ -72,7 +83,9 @@
 
 Package: rubberband-lv2
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: LV2 plugin for audio pitch-shifting
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one
@@ -83,7 +96,9 @@
 
 Package: rubberband-vamp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Vamp plugins using Rubber Band
  Rubber Band is a library and utility program that permits you to
  change the tempo and pitch of an audio recording independently of one

## rubberband 3.3.0%2Bdfsg

=== debian/changelog ===
rubberband (3.3.0+dfsg-2build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Thu, 29 Jan 2026 21:54:37 +0100

rubberband (3.3.0+dfsg-2build2) oracular; urgency=medium

  * Rebuild against new libvamp-hostsdk3t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Jul 2024 12:03:35 +0200

rubberband (3.3.0+dfsg-2build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:07 +0200

rubberband (3.3.0+dfsg-2) unstable; urgency=medium

  * Increase the test timeout to 10mins (Closes: #1050501)
    Because the Stretcher test on armel still takes > 5mins.

 -- Dennis Braun <snd@debian.org>  Fri, 25 Aug 2023 14:25:23 +0200

rubberband (3.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.3.0+dfsg
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Wed, 02 Aug 2023 20:34:50 +0200

rubberband (3.2.1+dfsg-6) unstable; urgency=medium

  * debian/control: Add dependency on libfftw3-dev (Closes: #1041255)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Jul 2023 22:21:30 +0200

rubberband (3.2.1+dfsg-5) unstable; urgency=medium

  * Disable Stretcher test on powerpc, ppc64 and ppc64el
    because it fails with SIGinvalid
  * Fix spelling error in d/changelog

 -- Dennis Braun <snd@debian.org>  Thu, 29 Jun 2023 17:43:44 +0200

rubberband (3.2.1+dfsg-4) unstable; urgency=medium

  * Multiply the timeout for unit tests by 10 (5mins)
    Some archs still need >30secs for the Strecher test

 -- Dennis Braun <snd@debian.org>  Wed, 28 Jun 2023 19:43:09 +0200

rubberband (3.2.1+dfsg-3) unstable; urgency=medium

  * Use libsamplerate and libfftw from system
  * Use default timeout for unit tests again

 -- Dennis Braun <snd@debian.org>  Wed, 28 Jun 2023 18:25:07 +0200

rubberband (3.2.1+dfsg-2) unstable; urgency=medium

  * Multiply the timeout for the unit tests by 3
  * Add a patch to tweak the threshold of the Stretcher test

 -- Dennis Braun <snd@debian.org>  Tue, 27 Jun 2023 22:27:23 +0200

rubberband (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg
    + Omit the repack count
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years
  * d/watch: Use @ARCHIVE_EXT@ for the download link
  * Disable Stretcher Test on i386, because it fails on CI with timeout

 -- Dennis Braun <snd@debian.org>  Tue, 20 Jun 2023 12:29:27 +0200

## rubberband 3.3.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  meson,
  pkg-config,
  vamp-plugin-sdk
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/rubberband.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rubberband
 Homepage: https://www.breakfastquay.com/rubberband/
@@ -43,6 +43,7 @@
 Depends:
  ${misc:Depends},
  librubberband2 (= ${binary:Version}),
+ libfftw3-dev,
  libsamplerate0-dev,
 Multi-Arch: same
 Description: audio time-stretching and pitch-shifting library (development files)

=== debian/watch ===
version=4
opts="uversionmangle=s/-/./,dversionmangle=s/\+dfsg.*//,repacksuffix=+dfsg,filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%rubberband-$1%" \
https://github.com/breakfastquay/rubberband/tags .*/v?(\d[\d\.]+)@ARCHIVE_EXT@

## rubberband 4.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: rubberband
-Priority: optional
 Section: sound
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Dennis Braun <snd@debian.org>
 Build-Depends:
- cmake,
  debhelper-compat (= 13),
  docbook-to-man,
  ladspa-sdk,
@@ -17,15 +15,14 @@
  libspeexdsp-dev,
  lv2-dev,
  meson,
- pkg-config,
+ pkgconf,
  vamp-plugin-sdk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/multimedia-team/rubberband.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/rubberband
 Homepage: https://www.breakfastquay.com/rubberband/
-Rules-Requires-Root: no
 
-Package: librubberband2
+Package: librubberband3
 Section: libs
 Architecture: any
 Depends:
@@ -42,7 +39,7 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- librubberband2 (= ${binary:Version}),
+ librubberband3 (= ${binary:Version}),
  libfftw3-dev,
  libsamplerate0-dev,
 Multi-Arch: same

## rubberband 4.0.0+dfsg

=== debian/changelog ===
rubberband (4.0.0+dfsg-2ubuntu1) resolute; urgency=medium

  * Disable tests, not ready with new boost

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Feb 2026 18:49:49 +0100

rubberband (4.0.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Uploader to unstable
  * debian/control:
    - Drop RRR: no
    - Drop Priority: optional
    - Bump Standards-Version
    - Remove unused cmake build dependency
  * debian/patches: Refresh check for std::atomic<int64_t>

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Feb 2026 13:31:31 +0100

rubberband (4.0.0+dfsg-1) experimental; urgency=medium

  * New upstream version 4.0.0+dfsg
  * Bump SONAME: librubberband2 -> librubberband3
  * Change B-D from pkg-config to pkgconf
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Tue, 11 Feb 2025 18:07:34 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_auto_build:
# Disable Stretcher test on powerpc, ppc64 and ppc64el because it fails with SIGinvalid
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),powerpc ppc64 ppc64el))
	sed -e "/TestStretcher/ s/^#*/#/" -i meson.build
	sed -e "/test('Stretcher/ s/^#*/#/" -i meson.build
endif
	docbook-to-man debian/rubberband.sgml > debian/rubberband.1

override_dh_auto_configure:
	dh_auto_configure -- -Dresampler=libsamplerate -Dfft=fftw

override_dh_auto_test:
	#dh_auto_test -- --timeout-multiplier 20
